# Class Address

java.lang.Object
de.javawi.jstun.util.Address

public class Address extends Object

## Constructor Summary

Constructors
Constructor
Description
`Address(byte[] address)`
`Address(int firstOctet, int secondOctet, int thirdOctet, int fourthOctet)`
`Address(String address)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`byte[]`
`getBytes()`
`InetAddress`
`getInetAddress()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Address

public Address(int firstOctet, int secondOctet, int thirdOctet, int fourthOctet) throws UtilityException

Throws:
  `UtilityException`

### Address

public Address(String address) throws UtilityException

Throws:
  `UtilityException`

### Address

public Address(byte[] address) throws UtilityException

Throws:
  `UtilityException`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getBytes

public byte[] getBytes() throws UtilityException

Throws:
  `UtilityException`

### getInetAddress

public InetAddress getInetAddress() throws UtilityException, UnknownHostException

Throws:
  `UtilityException`
  `UnknownHostException`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`